Submit Rlhf Numeric Scores
curl --request POST \
--url https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/numeric-scores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"scores": [
{
"axis_key": "<string>",
"sample_id": "<string>",
"score": 123,
"notes": "<string>"
}
],
"round_id": "<string>",
"source": "human"
}
'import requests
url = "https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/numeric-scores"
payload = {
"scores": [
{
"axis_key": "<string>",
"sample_id": "<string>",
"score": 123,
"notes": "<string>"
}
],
"round_id": "<string>",
"source": "human"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
scores: [{axis_key: '<string>', sample_id: '<string>', score: 123, notes: '<string>'}],
round_id: '<string>',
source: 'human'
})
};
fetch('https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/numeric-scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"experiment_id": "<string>",
"scores": [
{
"axis_key": "<string>",
"id": "<string>",
"sample_id": "<string>",
"score": 123,
"anchor_value": "<string>",
"candidate_key": "<string>",
"created_at": "<string>",
"file_path": "<string>",
"notes": "<string>",
"parameters": {},
"rlhf_round_id": "<string>",
"scorer_id": "<string>",
"session_voter_id": "<string>",
"source": "human"
}
],
"written": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}RLHF
Submit Rlhf Numeric Scores
deprecated
Submit one/many absolute per-clip numeric scores (one per sample+axis).
POST
/
v1
/
rlhf
/
experiments
/
{experiment_id}
/
numeric-scores
Submit Rlhf Numeric Scores
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
8 - 128Path Parameters
Body
application/json
Submit one or many per-clip numeric scores in a single call.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Optional rlhf_loop round to tag these scores with.
Origin of the scores. Human scores carry the caller identity.
Available options:
human, machine, import 
